
.select
	position: relative

	& + .label
		margin-top: 28px

	select
		& + [id^='multiple-select']
			// display: inline-flex
			display: flex
			position: relative
			width: 100%

			&.opened
				z-index: 5

				> .form-control
					border-bottom-radius: 0
					.caret
						&:after
							transform: rotate(180deg)

				.dropdown-select
					opacity: 1
					pointer-events: auto

			> .form-control
				border: 1px solid #b2b7bb
				padding: 13px 57px
				padding-left: 17px
				padding-right: 20px !important
				position: relative
				cursor: pointer
				transition: border-radius $transition
				width: 100%
				max-width: 100%
				+flex(flex-start)
				// +input

				+btn_reset

				.content
					flex-grow: 1
					text-align: left
					white-space: nowrap
					overflow: hidden
					text-overflow: ellipsis
					display: block
					flex-shrink: 1
					min-width: 0
					padding: 0
					padding-right: 11px

				.caret
					overflow: hidden
					// text-indent: 101%
					+inline-flex(center)
					cursor: pointer
					flex-shrink: 0
					// appearance: none
					color: #fff
					display: block

					&:after
						content: ''
						transition: transform $transition
						display: block
						size: 8px
						+bg(null, url('../img/icons/dropdown.svg'), contain, center, no-repeat)


			.dropdown-select
				border: none
				top: 100%
				opacity: 0
				pointer-events: none
				transition: opacity $transition
				display: block !important
				border-top: none
				box-shadow: 0 7px 7px rgba(#000, .01)
				min-width: 100%
				border-top: 1px solid #eee

				+position(absolute, 100% 0 null null)
				padding-top: 5px

				.p-2
					display: none
					padding: 0 !important
					background: #fff
					border: none
					border-bottom: 1px solid #ddd

					.form-control
						border: none

					input
						+input_reset
						width: 100%
						margin: 0
						padding: 9px 12px
						border-left: 1px solid #ddd
						border-right: 1px solid #ddd
						line-height: 1.57143
						min-height: 43px

				.list-group
					+ul_reset
					padding-left: 0
					margin-bottom: 0
					width: 100%

					&-item
						+btn_reset
						// +input
						// +input_decor
						transition: all $transition
						background: #fff
						border-radius: 0
						padding: 8px 16px
						line-height: 1.2
						border-top: none
						+flex(center)
						cursor: pointer
						font-size: 14px
						color: #868686
						width: 100%

						&[value='label']
							pointer-events: none
							text-transform: uppercase
							font-size: 70%
							color: rgba($fontcolor, .7)
							background: #fff

						&:last-child
							border-bottom-radius: 10px

						&:hover
							background: #ddd
							border-color: #ddd


						&.list-group-item-primary
							background: #ddd
							pointer-events: none
							cursor: default
							// color: #fff

	&.search
		select
			& + [id^='multiple-select']
				.dropdown-select
					.p-2
						display: block

